Pulsar Docs
API ReferenceAlerts Config

Put Machine Alerts

PUT
/v1/alerts-config/machines/{machineId}/alerts

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

Put machine alerts.

Authorization

bearerAuth admin, superadmin, superuser
Authorization<token>

In: header

Scope: admin, superadmin, superuser

Path Parameters

machineId*number

The machine's ID.

Formatdouble

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/alerts-config/machines/0.1/alerts" \  -H "Content-Type: application/json" \  -d '{    "alerts": [      {        "params": {},        "upstream_metric_id": 0.1,        "alert_type_id": 0.1      }    ],    "changed_by": "string"  }'
{  "warnings": [    "string"  ],  "deleted_alerts": [    {      "name": "string",      "id": 0.1    }  ],  "updated_alerts": [    {      "name": "string",      "id": 0.1    }  ],  "inserted_alerts": [    {      "name": "string",      "id": 0.1    }  ],  "machine_id": 0.1}